@mixin text-main {

    font-size: 16px;
    line-height: 20px;

    @media(min-width: $md) {
        font-size: 18px;
        line-height: 22px;
    }

}

@mixin text-14-16 {
    font-size: 14px;
    line-height: 1.3em;
    @media(min-width: $sm) {
        font-size: 16px;
    }
}

@mixin text-14-18 {
    font-size: 14px;
    line-height: 1.5;
    @media(min-width: $sm) {
        font-size: 18px;
    }
}



@mixin text-18-20 {
    font-size: 18px;
    line-height: 1.5;
    @media(min-width: $sm) {
        font-size: 20px;
    }
}


@mixin h1 {
    font-size: 36px;
    line-height: 40px;
    margin: 0 0 1.2em;
    @media(min-width: $md) {
        font-size: 48px;
        line-height: 50px;
    }
}

@mixin h2 {
    font-size: 32px;
    line-height: 40px;
    margin: 0 0 1.2em;
    @media(min-width: $md) {
        font-size: 36px;
        line-height: 50px;
    }
}

@mixin h3 {
    font-size: 24px;
    line-height: 1.4em;
    margin: 0 0 1.2em;
    @media(min-width: $md) {
        font-size: 36px;
    }
}

@mixin h3-wrap {
    font-size: 24px;
    line-height: 1.4em;
    margin: 0 0 1.2em;
    @media(min-width: $md) {
        font-size: 32px;
    }
}

@mixin h4 {
    font-size: 20px;
    line-height: 1.2em;
    margin: 0 0 1.2em;
    @media(min-width: $md) {
        font-size: 24px;
        line-height: 1.2em;
    }
}


@keyframes blink {

    0% {
      opacity: .1;
    }

    20% {
      opacity: 1;
    }

    100% {
      opacity: .1;
    }
}

@keyframes puls {

    0% {
      transform: scale(0.9);
    }

    50% {
        transform: scale(1.1);
    }

    100% {
        transform: scale(0.9);
    }
}


@keyframes spin { 
    100% { 
        transform:rotate(360deg); 
    }
}

@keyframes bounce-hor {
    0%   { transform: translateX(0px); }
    50%  { transform: translateX(-10px); }
    100% { transform: translateX(0px); }
}